Subject: [sidr] I-D Action: draft-ietf-sidr-delta-protocol-05.txt

From: [email-masked]
Date: Mon, 16 Jan 2017 05:00:09 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Secure Inter-Domain Routing of the IETF.

        Title           : RPKI Repository Delta Protocol
        Authors         : Tim Bruijnzeels
                          Oleg Muravskiy
                          Bryan Weber
                          Rob Austein
	Filename        : draft-ietf-sidr-delta-protocol-05.txt
	Pages           : 24
	Date            : 2017-01-16

Abstract:
   In the Resource Public Key Infrastructure (RPKI), certificate
   authorities publish certificates, including end entity certificates,
   Certificate Revocation Lists (CRL), and RPKI signed objects to
   repositories.  Relying Parties (RP) retrieve the published
   information from those repositories.  This document specifies a
   protocol which provides relying parties with a mechanism to query a
   repository for incremental updates using the HTTP Over TLS (HTTPS)
   [RFC2818] protocol, thus enabling the RP to keep its state in sync
   with the repository using a secure transport channel.  This document
   updates [RFC6480], [RFC6481], and [RFC7730].

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-sidr-delta-protocol/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-sidr-delta-protocol-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-sidr-delta-protocol-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Oleg Muravskiy <[email-masked]>
Date: Mon, 16 Jan 2017 14:08:31 +0100

Dear WG,

This is an updated version of the draft-ietf-sidr-delta-protocol, resolving comments from the AD review.

The rfcdiff page seems to be down right now, but in general the diff from previous version should be available at:

https://www.ietf.org/rfcdiff?url1=draft-ietf-sidr-delta-protocol-04&url2=draft-ietf-sidr-delta-protocol-05&difftype=--html

Cheers,
Oleg

> On 16 Jan 2017, at 14:00, [email-masked] wrote:
> 
> 
> _______________________________________________
> sidr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sidr
>

---

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Tue, 17 Jan 2017 17:22:18 +0000

[Oleg:  Thanks for the update!]

Dear WG:

One of the significant changes in this version is an Update to RFC6480, RFC6481, and RFC7730, in order to remove the normative dependency on rsync as needed in every deployment.  Please take a close look at the new text in Section 4.

Thanks!

Alvaro.

On 1/16/17, 8:08 AM, "sidr on behalf of Oleg Muravskiy" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote: